apiVersion: v1
kind: Secret
metadata:
  name: cb-example-auth
type: Opaque
data:
  username: QWRtaW5pc3RyYXRvcg== # Administrator
  password: cGFzc3dvcmQ=         # password
---
apiVersion: couchbase.com/v2
kind: CouchbaseCluster
metadata:
  name: cb-example
spec:
  backup:
    managed: true
    image: couchbase/operator-backup:1.3.5
  image: couchbase/server:7.2.0
  cluster:
    dataServiceMemoryQuota: 1200Mi
  security:
    adminSecret: cb-example-auth
  buckets:
    managed: true 
  servers:
  - size: 1
    name: kv_q_i
    services:
    - data
    - index
    - query
---
apiVersion: couchbase.com/v2
kind: CouchbaseBucket
metadata:
  name: test-bucket
---
apiVersion: couchbase.com/v2
kind: CouchbaseBackup
metadata:
  name: test-backup
spec:
  strategy: full_incremental
  full:
    schedule: "19 13 * * 0"
  incremental:
    schedule: "53 15 * * 1-6"
  size: 200Mi
